Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 12206)
@@ -366,5 +366,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 12206)
@@ -315,5 +315,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 12206)
@@ -315,5 +315,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 12206)
@@ -366,5 +366,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 12205)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 12206)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_iomput key_mpp_mpi key_agrif
+bld::tool::fppkeys   key_si3 key_mpp_mpi key_agrif
Index: /NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg	(revision 12206)
@@ -353,14 +353,8 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
 !!======================================================================
 !
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default F)
-!-----------------------------------------------------------------------
-   ln_diatmb  = .true.    !  Choose Top Middle and Bottom output or not
-/
 !-----------------------------------------------------------------------
 &nam_dia25h    !  25h Mean Output                                       (default F)
Index: /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 12206)
@@ -423,5 +423,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
@@ -454,8 +453,4 @@
 !-----------------------------------------------------------------------
 &nam_diadct    ! transports through some sections                       (default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default: OFF)
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 12206)
@@ -230,5 +230,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 12206)
@@ -224,5 +224,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 12206)
@@ -394,5 +394,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 12206)
@@ -379,5 +379,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
@@ -410,8 +409,4 @@
 !-----------------------------------------------------------------------
 &nam_diadct    !   transports through some sections                     (default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default: OFF)
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 12206)
@@ -377,5 +377,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
 !!   namdct       transports through some sections                      ("key_diadct")
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
@@ -408,8 +407,4 @@
 !-----------------------------------------------------------------------
 &namdct        ! transports through some sections                       ("key_diadct")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default: OFF)
 !-----------------------------------------------------------------------
 /
Index: /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 12206)
@@ -180,5 +180,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/cfgs/SHARED/field_def_nemo-oce.xml
===================================================================
--- /NEMO/trunk/cfgs/SHARED/field_def_nemo-oce.xml	(revision 12205)
+++ /NEMO/trunk/cfgs/SHARED/field_def_nemo-oce.xml	(revision 12206)
@@ -936,15 +936,4 @@
     </field_group>
 
-    <!-- TMB diagnostic output -->
-    <field_group  id="1h_grid_T_tmb" grid_ref="grid_T_2D" operation="instant">
-      <field id="top_temp"           name="votemper_top"  unit="degC"  />
-      <field id="mid_temp"           name="votemper_mid"  unit="degC"  />
-      <field id="bot_temp"           name="votemper_bot"  unit="degC"  />
-      <field id="top_sal"            name="vosaline_top"  unit="psu"   />
-      <field id="mid_sal"            name="vosaline_mid"  unit="psu"   />
-      <field id="bot_sal"            name="vosaline_bot"  unit="psu"   />
-      <field id="sshnmasked"         name="sossheig"      unit="m"     /> 
-    </field_group>
-
     <field_group  id="1h_grid_U_tmb" grid_ref="grid_U_2D" operation="instant">
       <field id="top_u"           name="vozocrtx_top"  unit="m/s"  />
Index: /NEMO/trunk/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 12205)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 12206)
@@ -1120,5 +1120,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
@@ -1196,9 +1195,4 @@
        !                   !     -1 : debug all section
        !                   !  0 < n : debug section number n
-/
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default: OFF)
-!-----------------------------------------------------------------------
-   ln_diatmb   = .false.   !  Choose Top Middle and Bottom output or not
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 12206)
@@ -351,5 +351,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 12205)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 12206)
@@ -2022,19 +2022,4 @@
 
 %% =================================================================================================
-\subsection{Top middle and bed hourly output}
-
-\begin{listing}
-  \nlst{nam_diatmb}
-  \caption{\forcode{&nam_diatmb}}
-  \label{lst:nam_diatmb}
-\end{listing}
-
-A module is available to output the surface (top), mid water and bed diagnostics of a set of standard variables.
-This can be a useful diagnostic when hourly or sub-hourly output is required in high resolution tidal outputs.
-The tidal signal is retained but the overall data usage is cut to just three vertical levels.
-Also the bottom level is calculated for each cell.
-This diagnostic is actived with the logical $ln\_diatmb$.
-
-%% =================================================================================================
 \subsection{Courant numbers}
 
Index: MO/trunk/doc/namelists/nam_diatmb
===================================================================
--- /NEMO/trunk/doc/namelists/nam_diatmb	(revision 12205)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default: OFF)
-!-----------------------------------------------------------------------
-   ln_diatmb   = .false.   !  Choose Top Middle and Bottom output or not
-/
Index: MO/trunk/src/OCE/DIA/diatmb.F90
===================================================================
--- /NEMO/trunk/src/OCE/DIA/diatmb.F90	(revision 12205)
+++ 	(revision )
@@ -1,139 +1,0 @@
-MODULE diatmb 
-   !!======================================================================
-   !!                       ***  MODULE  diaharm  ***
-   !! Harmonic analysis of tidal constituents 
-   !!======================================================================
-   !! History :  3.6  !  08-2014  (E O'Dea)  Original code
-   !!            3.7  !  05-2016  (G. Madec)  use mbkt, mikt to account for ocean cavities
-   !!----------------------------------------------------------------------
-   USE oce             ! ocean dynamics and tracers variables
-   USE dom_oce         ! ocean space and time domain
-   !
-   USE in_out_manager  ! I/O units
-   USE iom             ! I/0 library
-   USE wet_dry
-
-   IMPLICIT NONE
-   PRIVATE
-
-   LOGICAL , PUBLIC ::   ln_diatmb     !: Top Middle and Bottom output 
-   PUBLIC   dia_tmb_init            ! routine called by nemogcm.F90
-   PUBLIC   dia_tmb                 ! routine called by diawri.F90
-
-   !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$
-   !! Software governed by the CeCILL license (see ./LICENSE)
-   !!----------------------------------------------------------------------
-CONTAINS
-
-   SUBROUTINE dia_tmb_init 
-      !!---------------------------------------------------------------------------
-      !!                  ***  ROUTINE dia_tmb_init  ***
-      !!     
-      !! ** Purpose :   Initialization of tmb namelist 
-      !!        
-      !! ** Method  :   Read namelist
-      !!---------------------------------------------------------------------------
-      INTEGER ::   ios                 ! Local integer output status for namelist read
-      !
-      NAMELIST/nam_diatmb/ ln_diatmb
-      !!----------------------------------------------------------------------
-      !
-      REWIND( numnam_ref )              ! Read Namelist nam_diatmb in reference namelist : TMB diagnostics
-      READ  ( numnam_ref, nam_diatmb, IOSTAT=ios, ERR= 901 )
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_diatmb in reference namelist' )
- 
-      REWIND( numnam_cfg )              ! Namelist nam_diatmb in configuration namelist  TMB diagnostics
-      READ  ( numnam_cfg, nam_diatmb, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nam_diatmb in configuration namelist' )
-      IF(lwm) WRITE ( numond, nam_diatmb )
-
-      IF(lwp) THEN                   ! Control print
-         WRITE(numout,*)
-         WRITE(numout,*) 'dia_tmb_init : Output Top, Middle, Bottom Diagnostics'
-         WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist nam_diatmb : set tmb outputs '
-         WRITE(numout,*) '      Switch for TMB diagnostics (T) or not (F)  ln_diatmb  = ', ln_diatmb
-      ENDIF
-      !
-   END SUBROUTINE dia_tmb_init
-
-
-   SUBROUTINE dia_calctmb( pfield, ptmb )
-      !!---------------------------------------------------------------------
-      !!                  ***  ROUTINE dia_tmb  ***
-      !!                   
-      !! ** Purpose :    Find the Top, Mid and Bottom fields of water Column
-      !!
-      !! ** Method  :    use mbkt, mikt to find surface, mid and bottom of 
-      !!              model levels due to potential existence of ocean cavities
-      !!
-      !!----------------------------------------------------------------------
-      REAL(wp), DIMENSION(jpi, jpj, jpk), INTENT(in   ) ::   pfield   ! Input 3D field and mask
-      REAL(wp), DIMENSION(jpi, jpj,  3 ), INTENT(  out) ::   ptmb     ! top, middle, bottom extracted from pfield
-      !
-      INTEGER ::   ji, jj   ! Dummy loop indices
-      INTEGER ::   itop, imid, ibot   ! local integers
-      REAL(wp)::   zmdi = 1.e+20_wp   ! land value
-      !!---------------------------------------------------------------------
-      !
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            itop = mikt(ji,jj)                        ! top    ocean 
-            ibot = mbkt(ji,jj)                        ! bottom ocean 
-            imid =  itop + ( ibot - itop + 1 ) / 2    ! middle ocean          
-            !                    
-            ptmb(ji,jj,1) = pfield(ji,jj,itop)*tmask(ji,jj,itop) + zmdi*( 1._wp-tmask(ji,jj,itop) )
-            ptmb(ji,jj,2) = pfield(ji,jj,imid)*tmask(ji,jj,imid) + zmdi*( 1._wp-tmask(ji,jj,imid) )
-            ptmb(ji,jj,3) = pfield(ji,jj,ibot)*tmask(ji,jj,ibot) + zmdi*( 1._wp-tmask(ji,jj,ibot) )
-         END DO
-      END DO
-      !
-   END SUBROUTINE dia_calctmb
-
-
-   SUBROUTINE dia_tmb
-      !!----------------------------------------------------------------------
-      !!                 ***  ROUTINE dia_tmb  ***
-      !! ** Purpose :   Write diagnostics for Top, Mid and Bottom of water Column
-      !!
-      !! ** Method  :  use mikt,mbkt to find surface, mid and bottom of model levels
-      !!      calls calctmb to retrieve TMB values before sending to iom_put
-      !!
-      !!--------------------------------------------------------------------
-      REAL(wp) ::   zmdi =1.e+20     ! land value
-      REAL(wp), DIMENSION(jpi,jpj,3) :: zwtmb    ! workspace 
-      !!--------------------------------------------------------------------
-      !
-      CALL dia_calctmb( tsn(:,:,:,jp_tem), zwtmb )
-      !ssh already output but here we output it masked
-      IF( ll_wd ) THEN
-         CALL iom_put( "sshnmasked", (sshn(:,:)+ssh_ref)*tmask(:,:,1) + zmdi*(1.0 - tmask(:,:,1)) )
-      ELSE
-         CALL iom_put( "sshnmasked", sshn(:,:)*tmask(:,:,1) + zmdi*(1.0 - tmask(:,:,1)) )
-      ENDIF
-
-      CALL iom_put( "top_temp"  , zwtmb(:,:,1) )    ! tmb Temperature
-      CALL iom_put( "mid_temp"  , zwtmb(:,:,2) )    ! tmb Temperature
-      CALL iom_put( "bot_temp"  , zwtmb(:,:,3) )    ! tmb Temperature
-      !
-      CALL dia_calctmb( tsn(:,:,:,jp_sal), zwtmb )
-      CALL iom_put( "top_sal"   , zwtmb(:,:,1) )    ! tmb Salinity 
-      CALL iom_put( "mid_sal"   , zwtmb(:,:,2) )    ! tmb Salinity
-      CALL iom_put( "bot_sal"   , zwtmb(:,:,3) )    ! tmb Salinity
-      !
-      CALL dia_calctmb( un(:,:,:), zwtmb )
-      CALL iom_put( "top_u"     , zwtmb(:,:,1) )    ! tmb  U Velocity
-      CALL iom_put( "mid_u"     , zwtmb(:,:,2) )    ! tmb  U Velocity
-      CALL iom_put( "bot_u"     , zwtmb(:,:,3) )    ! tmb  U Velocity
-      !
-      CALL dia_calctmb( vn(:,:,:), zwtmb )
-      CALL iom_put( "top_v"     , zwtmb(:,:,1) )    ! tmb  V Velocity
-      CALL iom_put( "mid_v"     , zwtmb(:,:,2) )    ! tmb  V Velocity
-      CALL iom_put( "bot_v"     , zwtmb(:,:,3) )    ! tmb  V Velocity
-      !
-   END SUBROUTINE dia_tmb
-
-   !!======================================================================
-END MODULE diatmb
Index: /NEMO/trunk/src/OCE/DIA/diawri.F90
===================================================================
--- /NEMO/trunk/src/OCE/DIA/diawri.F90	(revision 12205)
+++ /NEMO/trunk/src/OCE/DIA/diawri.F90	(revision 12206)
@@ -46,5 +46,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE in_out_manager ! I/O manager
-   USE diatmb         ! Top,middle,bottom output
    USE dia25h         ! 25h Mean output
    USE iom            ! 
@@ -391,6 +390,4 @@
       CALL iom_put( "bn2", rn2 )                      ! Brunt-Vaisala buoyancy frequency (N^2)
       !
-
-      IF (ln_diatmb)   CALL dia_tmb                   ! tmb values 
           
       IF (ln_dia25h)   CALL dia_25h( kt )             ! 25h averaging
Index: /NEMO/trunk/src/OCE/DYN/dynspg_ts.F90
===================================================================
--- /NEMO/trunk/src/OCE/DYN/dynspg_ts.F90	(revision 12205)
+++ /NEMO/trunk/src/OCE/DYN/dynspg_ts.F90	(revision 12206)
@@ -47,5 +47,4 @@
    USE updtide         ! tide potential
    USE sbcwave         ! surface wave
-   USE diatmb          ! Top,middle,bottom output
 #if defined key_agrif
    USE agrif_oce_interp ! agrif
@@ -62,5 +61,4 @@
    USE iom             ! IOM library
    USE restart         ! only for lrst_oce
-   USE diatmb          ! Top,middle,bottom output
 
    USE iom   ! to remove
@@ -152,5 +150,5 @@
       REAL(wp) ::   r1_2dt_b, z1_hu, z1_hv          ! local scalars
       REAL(wp) ::   za0, za1, za2, za3              !   -      -
-      REAL(wp) ::   zmdi, zztmp, zldg               !   -      -
+      REAL(wp) ::   zztmp, zldg               !   -      -
       REAL(wp) ::   zhu_bck, zhv_bck, zhdiv         !   -      -
       REAL(wp) ::   zun_save, zvn_save              !   -      -
@@ -175,6 +173,4 @@
       !                                         !* Allocate temporary arrays
       IF( ln_wd_dl ) ALLOCATE( ztwdmask(jpi,jpj), zuwdmask(jpi,jpj), zvwdmask(jpi,jpj), zuwdav2(jpi,jpj), zvwdav2(jpi,jpj))
-      !
-      zmdi=1.e+20                               !  missing data indicator for masking
       !
       zwdramp = r_rn_wdmin1               ! simplest ramp 
@@ -838,8 +834,6 @@
       IF( ln_wd_dl )   DEALLOCATE( ztwdmask, zuwdmask, zvwdmask, zuwdav2, zvwdav2 )
       !
-      IF( ln_diatmb ) THEN
-         CALL iom_put( "baro_u" , un_b*ssumask(:,:)+zmdi*(1.-ssumask(:,:) ) )  ! Barotropic  U Velocity
-         CALL iom_put( "baro_v" , vn_b*ssvmask(:,:)+zmdi*(1.-ssvmask(:,:) ) )  ! Barotropic  V Velocity
-      ENDIF
+      CALL iom_put( "baro_u" , un_b )  ! Barotropic  U Velocity
+      CALL iom_put( "baro_v" , vn_b )  ! Barotropic  V Velocity
       !
    END SUBROUTINE dyn_spg_ts
Index: /NEMO/trunk/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/OCE/nemogcm.F90	(revision 12205)
+++ /NEMO/trunk/src/OCE/nemogcm.F90	(revision 12206)
@@ -72,6 +72,4 @@
    USE step_diu       ! diurnal bulk SST timestepping (called from here if run offline)
    USE crsini         ! initialise grid coarsening utility
-   USE diatmb         ! Top,middle,bottom output
-   USE dia25h         ! 25h mean output
    USE sbc_oce , ONLY : lk_oasis
    USE wet_dry        ! Wetting and drying setting   (wad_init routine)
@@ -484,5 +482,4 @@
                            CALL     trd_init    ! Mixed-layer/Vorticity/Integral constraints trends
                            CALL dia_obs_init    ! Initialize observational data
-                           CALL dia_tmb_init    ! TMB outputs
                            CALL dia_25h_init    ! 25h mean  outputs
                            CALL dia_harm_init   ! tidal harmonics outputs
Index: /NEMO/trunk/tests/CANAL/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/CANAL/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/CANAL/EXPREF/namelist_cfg	(revision 12206)
@@ -278,5 +278,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/CANAL/MY_SRC/diawri.F90
===================================================================
--- /NEMO/trunk/tests/CANAL/MY_SRC/diawri.F90	(revision 12205)
+++ /NEMO/trunk/tests/CANAL/MY_SRC/diawri.F90	(revision 12206)
@@ -46,5 +46,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE in_out_manager ! I/O manager
-   USE diatmb         ! Top,middle,bottom output
    USE dia25h         ! 25h Mean output
    USE iom            ! 
@@ -492,6 +491,4 @@
       CALL iom_put( "bn2", rn2 )                      ! Brunt-Vaisala buoyancy frequency (N^2)
       !
-
-      IF (ln_diatmb)   CALL dia_tmb                   ! tmb values 
           
       IF (ln_dia25h)   CALL dia_25h( kt )             ! 25h averaging
Index: /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 12206)
@@ -204,5 +204,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts
===================================================================
--- /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 12205)
+++ /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 12206)
@@ -204,5 +204,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts
===================================================================
--- /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 12205)
+++ /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 12206)
@@ -204,5 +204,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts
===================================================================
--- /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 12205)
+++ /NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 12206)
@@ -204,5 +204,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/ICE_ADV2D/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/ICE_ADV2D/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/ICE_ADV2D/EXPREF/namelist_cfg	(revision 12206)
@@ -204,5 +204,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/ICE_AGRIF/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/trunk/tests/ICE_AGRIF/EXPREF/1_namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/ICE_AGRIF/EXPREF/1_namelist_cfg	(revision 12206)
@@ -204,5 +204,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/ICE_AGRIF/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/ICE_AGRIF/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/ICE_AGRIF/EXPREF/namelist_cfg	(revision 12206)
@@ -204,5 +204,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/ISOMIP/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/ISOMIP/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/ISOMIP/EXPREF/namelist_cfg	(revision 12206)
@@ -275,5 +275,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg
===================================================================
--- /NEMO/trunk/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg	(revision 12205)
+++ /NEMO/trunk/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg	(revision 12206)
@@ -280,5 +280,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg
===================================================================
--- /NEMO/trunk/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 12205)
+++ /NEMO/trunk/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 12206)
@@ -296,5 +296,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/VORTEX/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/trunk/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 12206)
@@ -275,5 +275,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/VORTEX/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/VORTEX/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/VORTEX/EXPREF/namelist_cfg	(revision 12206)
@@ -266,5 +266,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default; OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
Index: /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm
===================================================================
--- /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 12205)
+++ /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 12206)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_mpp_mpi key_agrif
+ bld::tool::fppkeys key_mpp_mpi key_agrif
Index: /NEMO/trunk/tests/WAD/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/WAD/EXPREF/namelist_cfg	(revision 12205)
+++ /NEMO/trunk/tests/WAD/EXPREF/namelist_cfg	(revision 12206)
@@ -424,5 +424,4 @@
 !!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
-!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
 !!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
